Bug 971393 - RFE: interactive bugzilla settings
RFE: interactive bugzilla settings
Status: NEW
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
: 833052 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 08:15 EDT by Karel Volný
Modified: 2018-06-21 04:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2013-06-06 08:15:42 EDT
Description of problem:
I've just got a crash in non-Fedora package.
So the reporting failed at the first try, as I forgot to set the Product in Bugzilla settings.
But even after going back and fixing that, it failed because the package name does not match any component available in that product.
Now I don't have any option to go back and change the component, as there's no configuration option for that ...

But I would like to suggest a bit different approach:

Abrt knows what the problem is, now I got this error message:

fatal: RPC failed at server.  There is no component named 'qa-tools-workstation' in the 'QA Tools' product.

so, if such situation appears, I'd suggest opening a dialogue which would allow to choose from available products, then trying again

then if the product is set and the component does not match, open a dialogue allowing choosing from components of the selected product, then try again

and so on for other needed fields (I guess at least Version may cause such problem too)

maybe it could be just one dialogue - start with empty, after choosing product, reload the versions list, after choosing version, reload the components list ...
Comment 1 Jiri Moskovcak 2013-06-06 08:57:15 EDT
And how many dialogs should it open before it dies? I would like to hear opinion of some UX designer before we start implementing this.
Comment 2 Karel Volný 2013-07-01 09:15:57 EDT
(In reply to Jiri Moskovcak from comment #1)
> And how many dialogs should it open before it dies?

as many as needed to match Bugzilla options?

being able to report bug after answering a few questions seems to me 100% better user experience than not being able to report the bug :-)

> I would like to hear opinion of some UX designer before we start implementing
> this.

I believe you had some advisor when creating the new GUI, pls could you set NEEDINFO on that person here?
Comment 3 Karel Volný 2013-07-04 08:56:28 EDT
*** Bug 833052 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2015-01-09 13:20:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.